Skip to content
中文

GET /higgsfield/tpl/voices

Method: GETEndpoint: /higgsfield/tpl/voices

Request Parameters

Query Parameters

text
size
integer
Number of templates returned
Optional
Example:
14

Header Parameters

text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
type
string
Required
properties
object
Required
size
object
Required
Example
{
"type"
:
"string"
,
"properties"
:
{
"size"
:
{
"type"
:
"string"
,
"description"
:
"string"
,
"default"
:
0
}
}
}

Example Request

Shell

bash
curl --location --request GET '/higgsfield/tpl/voices?size=14' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "string",
    "properties": {
        "size": {
            "type": "string",
            "description": "string",
            "default": 0
        }
    }
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
items
array
[object]
Required
id
string
Optional
name
string
Optional
gender
string
Optional
age
string
Optional
image_url
string
Optional
categories
array
[string]
Optional
voice_url
string
Optional
waveform_url
string
Optional
is_gpt
boolean
Optional
total
integer
Required
cursor
integer
Required

Example

json
{
  "items": [
    {
      "id": "6pBuGbellIksHKibt0je2n",
      "name": "Marston",
      "gender": "male",
      "age": "middle age",
      "image_url": "https://d1xarpci4ikg0w.cloudfront.net/5503b4b2-6398-4542-ad31-9fa6edb96d7c.webp",
      "categories": ["reporter"],
      "voice_url": "https://dqv0cqkoy5oj7.cloudfront.net/voices_avatar/all/rTOopItG6FIkKMIVxsl5/2.wav",
      "waveform_url": "https://d1xarpci4ikg0w.cloudfront.net/0673abf6-53e1-4c22-a655-49c1a7d1be2f.json",
      "is_gpt": false
    }
  ],
  "total": 92,
  "cursor": 2
}